import { Component, h, Prop } from "@stencil/core";
export class IntergiroLogDetails {
  render() {
    let result;
    switch (this.opened) {
      case "merchant":
        result = h("ig-log-merchant", { log: this.log });
        break;
      case "reference":
        result = h("ig-log-reference", { reference: this.log.reference });
        break;
      case "entries":
        result = h("ig-entry-table", { entries: this.log.entries });
        break;
      case "resource":
        result = h("smoothly-display", null, this.log.resource.method + " " + this.log.resource.location);
        break;
      default:
        return "";
    }
    return h("td", { colSpan: 5 }, result);
  }
  static get is() { return "ig-log-details"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() { return {
    "$": ["style.css"]
  }; }
  static get styleUrls() { return {
    "$": ["style.css"]
  }; }
  static get properties() { return {
    "log": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "Log",
        "resolved": "Log",
        "references": {
          "Log": {
            "location": "import",
            "path": "@payfunc/model-log"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    },
    "opened": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "opened",
      "reflect": false
    }
  }; }
}
